This documentation is for WSO2 API Manager 1.9.0 View documentation for the latest release.
Page Comparison - Upgrading from the Previous Release (v.24 vs v.25) - API Manager 1.9.0 - WSO2 Documentation

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

The following information describes how to upgrade your API Manager server from the previous release, which is APIM 1.8.0. To upgrade from a version older than 1.8.0, start from the doc that was released immediately after your current release and upgrade incrementally.

Table of Contents
maxLevel3
minLevel3

Migration scripts location:

 

Migrating the configurations

In this section, you move all existing API Manager configurations from the current environment to the new one.

  1. Open the <APIM_1.9.0_HOME>/repository/conf/datasources/master-datasources.xml file and provide the datasource configurations for the following databases. You can copy the configurations from the same file in the API Manager 1.8.0 instance.

    • User Store
    • Registry database
    • API Manager Databases
  2. Edit the registry configurations in the <APIM_1.9.0_HOME>/repository/config/registry.xml and the user database in the <APIM_1.9.0_HOME>/repository/conf/user-mgt.xml file.

  3. Move all your synapse configurations by copying and replacing <APIM_1.8.0_HOME>/repository/deployment/server/synapse-config/default directory to <APIM_1.9.0_HOME>/repository/deployment/server/synapse-config/default directory.  Do not replace the  _TokenAPI_.xml _RevokeAPI_.xml  and  _AuthorizeAPI_.xml  files in the /default/api  sub directory unless you use a custom token endpoint. 

     

    NoteIf you changed the default URLs in AuthorizeAPI.xml and TokenAPI.xml files, do not replace them when copying.

    They are application-specific APIs. 

Upgrading APIM 1.8.0 to 1.9.0

...